### Method

# Msg MessageService delete

#### Declaration [src]

    gboolean
    msg_message_service_delete (
      MsgMessageService* self,
      MsgMessage* message,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Delets #message.

#### Parameters

`message`

  Type: `MsgMessage`

  A `MsgMessage`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for succes, else &FALSE.